# Uses of Class
org.eclipse.gef.SelectionManager

Packages that use SelectionManager
Package
Description
org.eclipse.gef
All interfaces, base types, and the plugin class are here.
org.eclipse.gef.ui.parts

## Uses of SelectionManager in org.eclipse.gef

Methods in org.eclipse.gef that return SelectionManager
Modifier and Type
Method
Description
`static SelectionManager`
SelectionManager.`createDefault()`
Creates the default implementation for a selection manager.
`SelectionManager`
EditPartViewer.`getSelectionManager()`
Returns the viewer's selection manager.
Methods in org.eclipse.gef with parameters of type SelectionManager
Modifier and Type
Method
Description
`void`
EditPartViewer.`setSelectionManager(SelectionManager manager)`
Sets the selection manager for this viewer.

## Uses of SelectionManager in org.eclipse.gef.ui.parts

Methods in org.eclipse.gef.ui.parts that return SelectionManager
Modifier and Type
Method
Description
`SelectionManager`
AbstractEditPartViewer.`getSelectionManager()`
Methods in org.eclipse.gef.ui.parts with parameters of type SelectionManager
Modifier and Type
Method
Description
`void`
AbstractEditPartViewer.`setSelectionManager(SelectionManager model)`